Get an export job by ID
curl --request GET \
--url https://api.nexrex.ai/api/v1/developer/v1/exports/{export_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nexrex.ai/api/v1/developer/v1/exports/{export_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nexrex.ai/api/v1/developer/v1/exports/{export_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"export": {
"id": "<string>",
"requester_uid": "<string>",
"org_id": "<string>",
"export_type": "<string>",
"params": {
"start_date": 123,
"end_date": 123,
"athlete_ids": [
"<string>"
],
"actor_type": "api_key",
"api_key_id": "<string>"
},
"file_size_bytes": 123,
"schema_version": "<string>",
"error_message": "<string>",
"skipped_athletes": [
{
"uid": "<string>",
"reason": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z"
}
}
}{
"success": false,
"error": "<string>",
"request_id": "<string>"
}{
"success": false,
"error": "<string>",
"request_id": "<string>"
}{
"success": false,
"error": "<string>",
"request_id": "<string>"
}{
"success": false,
"error": "<string>",
"request_id": "<string>"
}API Reference
Get an export job by ID
Returns a single export job. Only jobs created by API keys for the current
organization are visible; jobs with status: deleted return 404.
Required scope: exports:read
GET
/
exports
/
{export_id}
Get an export job by ID
Authorizations
bearerAuthapiKeyHeader
Bearer token. Pass the full API key as the bearer credential.
Format: Authorization: Bearer nrx_<key>
Path Parameters
Export job ID
Was this page helpful?
⌘I